.oni-sorceress__image-component {
  img {
    max-width: 100%;
  }

  a {
    display: block;
    max-width: 100%;
  }
}

.oni-sorceress__image-component--medium-preview {
  max-width: 40vw;
}

@media (max-width: 600px) {
  .oni-sorceress__image-component--medium-preview {
    max-width: 100%;
  }
}

@media (min-width: 601px) and (max-width: 1200px) {
  .oni-sorceress__image-component--medium-preview {
    max-width: 700px;
  }
}

@media(min-width: 1201px) and (max-width: 2200px) {
  .oni-sorceress__image-component--medium-preview {
    max-width: 700px;
  }
}

@media(min-width: 2201px) and (max-width: 3200px) {
  .oni-sorceress__image-component--medium-preview {
    max-width: 700px;
  }
}
